<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Statements</title>
<link href="sx14b.html" rev=precedes>
<link href="sx14d.html" rel=precedes>
<link href="sx14.html" rev=subdocument>
</head>
<body>
<H2>Statements</H2>

<p>The <TT>switch</TT> statement allows you to jump to one of a
number of numeric <TT>case</TT> labels depending on the value of
an expression;
it's more convenient than a long <TT>if</TT>/<TT>else</TT> chain.
(However, you can use <TT>switch</TT>
only when the expression is integral
and all of the <TT>case</TT> labels are compile-time constants.)
</p><p>The <TT>do</TT>/<TT>while</TT> loop
is a loop that tests its controlling expression
at the bottom of the loop,
so that the body of the loop always executes once
even if the condition is initially false.
(C's <TT>do</TT>/<TT>while</TT> loop is therefore like
Pascal's <TT>repeat</TT>/<TT>until</TT> loop,
while

C's <TT>while</TT> loop is like Pascal's <TT>while</TT>/<TT>do</TT> loop.)
</p><p>Finally,
when you really need to write ``spaghetti code,''
C does have the all-purpose <TT>goto</TT> statement,
and labels to go to.
</p><hr>
<p>
Read sequentially:
<a href="sx14b.html" rev=precedes>prev</a>
<a href="sx14d.html" rel=precedes>next</a>
<a href="sx14.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995-1997
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
